<?php
/**
*
* externes Login script fuer phpBB3
* Kann zur WebSite Authentifizierung benutzt werden
*
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

//Abfragen von ggf. uebermittelten Parametern
$username     = request_var('username', '', true);
$password     = request_var('password', '', true);
$autologin    = (!empty($_POST['autologin'])) ? true : false;
$viewonline = (!empty($_POST['viewonline'])) ? 0 : 1;

$logout     = request_var('mode', '');

//Wenn username und passwort uebergeben worden sind, starte einen Anmeldeversuch
if (isset($username) && isset($password))
{
	$auth->login($username, $password, $autologin, $viewonline);
}

//Wenn ueber einen Link der mode=logout lautet und eine SID uebergeben wurde, starte das ausloggen des Users
if ($logout == 'logout')
{
	$user->session_kill();
}

/**
*
* Optionaler Code
* Prüfe ob User eingeloggt ist oder nicht
*
*/

if ($user->data['is_registered'])
{
	// Hier steht der Code für ein erfolgreich eingeloggter User
	echo "Du bist angemeldet.<br /><br />";

	//Optionaler Code zum Ausloggen. 
	//Es ist wichtig, das die Session ID mit der Funktion append_sid() uebergeben wird.
	echo 'Zum Abmelden <a href="'. append_sid("{$phpbb_root_path}login.$phpEx", "mode=logout") . '">hier</a> klicken';
}
else
{
	//Wenn Du hier landest bist Du nicht eingeloggt.
	echo "Du bist abgemeldet<br /><br />";
	echo "<a href=\"login.html\">Nochmal versuchen?</a>";
}

?>